Issue 12685 - Missing linker mapfiles for dynamically loaded libraries
Missing linker mapfiles for dynamically loaded libraries
Status: CLOSED FIXED
Product: udk
Classification: Code
Component: code
644
All All
: P3 trivial (vote)
: OOo 1.1 Beta2
Assigned To: matthias.huetsch
issues@udk
:
Depends on:
Blocks: 11945
  Show dependency treegraph
 
Reported: 2003-03-26 18:27 UTC by matthias.huetsch
Modified: 2003-04-29 13:02 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description matthias.huetsch 2003-03-26 18:27:40 UTC
Hi Kay,

Several dynamically loaded shared libraries delivered by projects udk / script
fail to provide (symbol scoping) linker mapfiles.

For a detailed description see the 'meta task' issue 11945.

Affected in project 'udk' are the following libraries / modules:

libiiop_uno.so	(udk/bridges/source/remote/iiop)
liburp_uno.so	(udk/bridges/source/remote/urp)
libjuh.so	(udk/javaunohelper/source)
libjuhx.so	(udk/javaunohelper/source)
libdynamicloader.so	(udk/remotebridges/source/dynamicloader)
libinsp.so	(udk/stoc/source/inspect)

Affected in project 'script' is the following library / module:

libbasctl644ss.so	(script/basctl/util)

All modules (bridges, javaunohelper, remotebridges, stoc, basctl) have been
added to 'cws_srx644_tune01', were this issue shall be fixed.

Please notify / dispatch to the appropriate owner(s).

Thanks,
Matthias
Comment 1 matthias.huetsch 2003-03-26 18:29:18 UTC
Added tentative target milestone 'OOo 1.1 Beta2' and dependency to
meta issue 11945.
Comment 2 kai.sommerfeld 2003-03-28 10:31:22 UTC
kso->mhu:

libiiop_uno.so	(udk/bridges/source/remote/iiop)
liburp_uno.so	(udk/bridges/source/remote/urp)
libjuh.so	(udk/javaunohelper/source)
libjuhx.so	(udk/javaunohelper/source)
libdynamicloader.so	(udk/remotebridges/source/dynamicloader)
libinsp.so	(udk/stoc/source/inspect)

=> done

libbasctl644ss.so	(script/basctl/util)

=> not yet done

Comment 3 kai.sommerfeld 2003-03-31 11:20:48 UTC
libbasctl644ss.so	(script/basctl/util)

=> done now
Comment 4 kai.sommerfeld 2003-03-31 11:21:59 UTC
fixed.
Comment 5 matthias.huetsch 2003-04-15 09:57:36 UTC
Verified...
Comment 6 matthias.huetsch 2003-04-29 13:02:22 UTC
Verified integration into SRX644/m12s1 -> closing.